org.eclnt.jsfserver.elements.componentnodes

## Class PDFRENDERERVIAURLNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.PDFRENDERERVIAURLNode

- All Implemented Interfaces:
    java.io.Serializable

      public class PDFRENDERERVIAURLNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFRENDERERVIAURLNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PDFRENDERERVIAURLNode` | `bindActionListener(IActionListenerDelegation value)`
    `PDFRENDERERVIAURLNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindBackground(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindBorder(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindClientprintername(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindColspan(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindComment(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindFilename(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindHeight(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindPadding(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindPdfurl(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindRendered(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindRounding(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindShadow(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindTriggerprint(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindTriggerrenderpdf(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindWidth(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindWithprintdialog(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindWithserverprintnotification(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindX(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `bindY(IDynamicContentBindingObject value)`
    `PDFRENDERERVIAURLNode` | `setActionListener(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setAdapterbinding(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setAnimatechangeofsize(boolean value)`
    `PDFRENDERERVIAURLNode` | `setAnimatechangeofsize(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setAttributemacro(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setBackground(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setBgpaint(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setBorder(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setClientprintername(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setColspan(int value)`
    `PDFRENDERERVIAURLNode` | `setColspan(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setComment(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setConfiginfo(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setFilename(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setFxstyleseq(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setHeight(int value)`
    `PDFRENDERERVIAURLNode` | `setHeight(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setId(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setPadding(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setPdfurl(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setReference(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setRendered(boolean value)`
    `PDFRENDERERVIAURLNode` | `setRendered(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setRounding(int value)`
    `PDFRENDERERVIAURLNode` | `setRounding(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setShadow(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setStyleseq(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setStylevariant(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setTriggerprint(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setTriggerrenderpdf(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setWidth(int value)`
    `PDFRENDERERVIAURLNode` | `setWidth(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setWithprintdialog(boolean value)`
    `PDFRENDERERVIAURLNode` | `setWithprintdialog(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setWithserverprintnotification(boolean value)`
    `PDFRENDERERVIAURLNode` | `setWithserverprintnotification(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setX(int value)`
    `PDFRENDERERVIAURLNode` | `setX(java.lang.String value)`
    `PDFRENDERERVIAURLNode` | `setY(int value)`
    `PDFRENDERERVIAURLNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFRENDERERVIAURLNode

          public PDFRENDERERVIAURLNode()

  - ### Method Detail

    - #### setId

          public PDFRENDERERVIAURLNode setId(java.lang.String value)

    - #### setActionListener

          public PDFRENDERERVIAURLNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public PDFRENDERERVIAURLNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public PDFRENDERERVIAURLNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public PDFRENDERERVIAURLNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public PDFRENDERERVIAURLNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public PDFRENDERERVIAURLNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public PDFRENDERERVIAURLNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public PDFRENDERERVIAURLNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public PDFRENDERERVIAURLNode setBackground(java.lang.String value)

    - #### bindBackground

          public PDFRENDERERVIAURLNode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public PDFRENDERERVIAURLNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public PDFRENDERERVIAURLNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public PDFRENDERERVIAURLNode setBorder(java.lang.String value)

    - #### bindBorder

          public PDFRENDERERVIAURLNode bindBorder(IDynamicContentBindingObject value)

    - #### setClientprintername

          public PDFRENDERERVIAURLNode setClientprintername(java.lang.String value)

    - #### bindClientprintername

          public PDFRENDERERVIAURLNode bindClientprintername(IDynamicContentBindingObject value)

    - #### setColspan

          public PDFRENDERERVIAURLNode setColspan(java.lang.String value)

    - #### bindColspan

          public PDFRENDERERVIAURLNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public PDFRENDERERVIAURLNode setColspan(int value)

    - #### setComment

          public PDFRENDERERVIAURLNode setComment(java.lang.String value)

    - #### bindComment

          public PDFRENDERERVIAURLNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public PDFRENDERERVIAURLNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public PDFRENDERERVIAURLNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFilename

          public PDFRENDERERVIAURLNode setFilename(java.lang.String value)

    - #### bindFilename

          public PDFRENDERERVIAURLNode bindFilename(IDynamicContentBindingObject value)

    - #### setFxstyleseq

          public PDFRENDERERVIAURLNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public PDFRENDERERVIAURLNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public PDFRENDERERVIAURLNode setHeight(java.lang.String value)

    - #### bindHeight

          public PDFRENDERERVIAURLNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public PDFRENDERERVIAURLNode setHeight(int value)

    - #### setPadding

          public PDFRENDERERVIAURLNode setPadding(java.lang.String value)

    - #### bindPadding

          public PDFRENDERERVIAURLNode bindPadding(IDynamicContentBindingObject value)

    - #### setPdfurl

          public PDFRENDERERVIAURLNode setPdfurl(java.lang.String value)

    - #### bindPdfurl

          public PDFRENDERERVIAURLNode bindPdfurl(IDynamicContentBindingObject value)

    - #### setReference

          public PDFRENDERERVIAURLNode setReference(java.lang.String value)

    - #### setRendered

          public PDFRENDERERVIAURLNode setRendered(java.lang.String value)

    - #### bindRendered

          public PDFRENDERERVIAURLNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public PDFRENDERERVIAURLNode setRendered(boolean value)

    - #### setRounding

          public PDFRENDERERVIAURLNode setRounding(java.lang.String value)

    - #### bindRounding

          public PDFRENDERERVIAURLNode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public PDFRENDERERVIAURLNode setRounding(int value)

    - #### setShadow

          public PDFRENDERERVIAURLNode setShadow(java.lang.String value)

    - #### bindShadow

          public PDFRENDERERVIAURLNode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public PDFRENDERERVIAURLNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public PDFRENDERERVIAURLNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public PDFRENDERERVIAURLNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public PDFRENDERERVIAURLNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTriggerprint

          public PDFRENDERERVIAURLNode setTriggerprint(java.lang.String value)

    - #### bindTriggerprint

          public PDFRENDERERVIAURLNode bindTriggerprint(IDynamicContentBindingObject value)

    - #### setTriggerrenderpdf

          public PDFRENDERERVIAURLNode setTriggerrenderpdf(java.lang.String value)

    - #### bindTriggerrenderpdf

          public PDFRENDERERVIAURLNode bindTriggerrenderpdf(IDynamicContentBindingObject value)

    - #### setWidth

          public PDFRENDERERVIAURLNode setWidth(java.lang.String value)

    - #### bindWidth

          public PDFRENDERERVIAURLNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public PDFRENDERERVIAURLNode setWidth(int value)

    - #### setWithprintdialog

          public PDFRENDERERVIAURLNode setWithprintdialog(java.lang.String value)

    - #### bindWithprintdialog

          public PDFRENDERERVIAURLNode bindWithprintdialog(IDynamicContentBindingObject value)

    - #### setWithprintdialog

          public PDFRENDERERVIAURLNode setWithprintdialog(boolean value)

    - #### setWithserverprintnotification

          public PDFRENDERERVIAURLNode setWithserverprintnotification(java.lang.String value)

    - #### bindWithserverprintnotification

          public PDFRENDERERVIAURLNode bindWithserverprintnotification(IDynamicContentBindingObject value)

    - #### setWithserverprintnotification

          public PDFRENDERERVIAURLNode setWithserverprintnotification(boolean value)

    - #### setX

          public PDFRENDERERVIAURLNode setX(java.lang.String value)

    - #### bindX

          public PDFRENDERERVIAURLNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public PDFRENDERERVIAURLNode setX(int value)

    - #### setY

          public PDFRENDERERVIAURLNode setY(java.lang.String value)

    - #### bindY

          public PDFRENDERERVIAURLNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public PDFRENDERERVIAURLNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.